HMWJGraphInternal::TextFrame Struct Reference

Internal: the text frame (basic, header, footer, footnote) of a HMWJGraph. More...

Inheritance diagram for HMWJGraphInternal::TextFrame:

## Public Member Functions

| TextFrame (Frame const &orig)
| constructor More...
virtual bool | valid () const
| returns true if the frame data are read More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HMWJGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...

## Public Attributes

long | m_zId
| the text id More...
double | m_width
| the zone width More...
long | m_cPos
| the first char pos More...
Public Attributes inherited from HMWJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the text frame (basic, header, footer, footnote) of a HMWJGraph.

## Constructor & Destructor Documentation

HMWJGraphInternal::TextFrame::TextFrame | ( | Frame const & | orig | ) |

inline

constructor

## Member Function Documentation

std::string HMWJGraphInternal::TextFrame::print | ( |  | ) | const

inline

print local data

virtual bool HMWJGraphInternal::TextFrame::valid | ( |  | ) | const

inline virtual

returns true if the frame data are read

Reimplemented from HMWJGraphInternal::Frame.

## Member Data Documentation

long HMWJGraphInternal::TextFrame::m_cPos

the first char pos

Referenced by HMWJGraph::getFootnoteInformations(), and print().

double HMWJGraphInternal::TextFrame::m_width

the zone width

Referenced by print().

long HMWJGraphInternal::TextFrame::m_zId

the text id

Referenced by HMWJGraph::getFootnoteInformations(), and print().

The documentation for this struct was generated from the following file:

- HMWJGraph.cxx